import request from '@/utils/request'

// 查询会员微信来源信息列表
export function listSource(query) {
  return request({
    url: '/account/source/list',
    method: 'get',
    params: query
  })
}

// 查询会员微信来源信息详细
export function getSource(uid) {
  return request({
    url: '/account/source/' + uid,
    method: 'get'
  })
}

// 新增会员微信来源信息
export function addSource(data) {
  return request({
    url: '/account/source',
    method: 'post',
    data: data
  })
}

// 修改会员微信来源信息
export function updateSource(data) {
  return request({
    url: '/account/source',
    method: 'put',
    data: data
  })
}

// 删除会员微信来源信息
export function delSource(uid) {
  return request({
    url: '/account/source/' + uid,
    method: 'delete'
  })
}
